unit ArticuloModelo2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Articulo, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxEdit, DB, cxDBData, Menus, am2000menuitem, am2000popupmenu, am2000,
  cxButtonEdit, cxDBEdit, cxMaskEdit, cxDropDownEdit, cxContainer,
  cxTextEdit, cxMemo, StdCtrls, cxGridLevel, cxClasses, cxControls,
  cxGridCustomView, cxGridCustomTableView, cxGridCardView,
  cxGridDBCardView, cxGrid, AdvPanel, ExtCtrls, RdxBotones, RdxPaneles,
  RdxBarras, RdxTitulos;

type
  TfrArticuloModelo = class(TfrArticulo)
  private
  public
    constructor Create (AOwner : TComponent); override;
    destructor Destroy; override;
  end;

var
  frArticuloModelo: TfrArticuloModelo;

implementation

uses TablaArticulos, TablaPropiedadesArticulo, TablaPropiedades,
  TablaFamilias;

{$R *.dfm}

{ TfrArticuloModelo }

constructor TfrArticuloModelo.Create(AOwner: TComponent);
begin
  inherited Create(AOwner, True);

  with TablaArticulos do
  begin
    Database := BaseDatos;
    Transaction := Transaccion;
    SelectSQL.Assign(dmTablaArticulos.sqlConsultarArtModelo);
    InsertSQL.Assign(dmTablaArticulos.sqlInsertarArtModelo);
    ModifySQL.Assign(dmTablaArticulos.sqlModificarArtModelo);
    DeleteSQL.Assign(dmTablaArticulos.sqlEliminarArtModelo);
    RefreshSQL.Assign(dmTablaArticulos.sqlConsultarArtModelo);
  end;

  dmTablaArticulos.ArtModelo := 1;

  with TablaPropiedades do
  begin
    Database := BaseDatos;
    Transaction := Transaccion;
    SelectSQL.Assign(dmTablaPropiedadesArticulo.sqlGridProArtModelo);
    InsertSQL.Assign(dmTablaPropiedadesArticulo.sqlInsertarProArtModelo);
    ModifySQL.Assign(dmTablaPropiedadesArticulo.sqlModificarProArtModelo);
    DeleteSQL.Assign(dmTablaPropiedadesArticulo.sqlEliminarProArtModelo);
    RefreshSQL.Assign(dmTablaPropiedadesArticulo.sqlConsultarProArtModelo);
  end;

  TablaPropiedadesMem.CopyStructure(TablaPropiedades);
  dmTablaPropiedadesArticulo.InicializarGridPropiedadesArticulo(gridPropiedadesDBCardView);
  with TcxComboBoxProperties(gridPropiedadesDBCardView.GetRowByFieldName('PROPIEDAD').Properties) do
    Items := dmTablaPropiedades.darPropiedades;
  dsPropiedades.OnStateChange := dsDetallesStateChange;
end;

destructor TfrArticuloModelo.Destroy;
begin
  dmTablaArticulos.ArtModelo := 0;
  inherited;
end;

end.
